package sg.input;

import com.jme.input.InputHandler;
import com.jme.input.KeyBindingManager;
import com.jme.input.KeyInput;

public abstract class GlobalInputHandler extends InputHandler {
	
	public GlobalInputHandler(){
		KeyBindingManager manager = KeyBindingManager.getKeyBindingManager();
		manager.set("input_first", KeyInput.KEY_F1);
		manager.set("input_third", KeyInput.KEY_F2);
	}
	
	public void update(float tpf){
		super.update(tpf);
		/*
		if ( KeyBindingManager.getKeyBindingManager().isValidCommand( "input_first", false ) ) {
            this = new FirstPersonHandler(ship, cam);
        }
        */
	}
}
